Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service
Interface ServiceConstants

    public interface ServiceConstants

Constants for services.

Version:
  1.0

  Version History

       EPG - Initial - 11 AUG 05

       EPG - Add http service - 6 NOV 07

Author:
  Erich P. Gatejen

Field Summary
`static java.lang.String` | `ACTION_MANAGER`
`static java.lang.String` | `CHANNEL_COMMAND` Command and response channel.
`static java.lang.String` | `CHANNEL_RESPONSE`
`static java.lang.String` | `CLEARANCE`
`static java.lang.String` | `LISTEN_PORT` Socket listen port.
`static java.lang.String` | `PAGE_MANAGER` Http tool service.
`static java.lang.String` | `PAGE_MANAGER_UNIVERSE_ADDRESS`
`static java.lang.String` | `POOL_MAX` Service thread pool..
`static java.lang.String` | `PROXY_PROCESSOR` Proxy service.
`static java.lang.String` | `PROXY_SESSION_PATH`
`static java.lang.String` | `RELAY_CONNECT_ADDRESS`
`static java.lang.String` | `RELAY_CONNECT_PORT`
`static java.lang.String` | `SERVE_ROOT`

Field Detail

### CHANNEL_COMMAND

    static final java.lang.String CHANNEL_COMMAND

  Command and response channel.

  See Also:
    Constant Field Values

### CHANNEL_RESPONSE

    static final java.lang.String CHANNEL_RESPONSE

See Also:
  Constant Field Values

### LISTEN_PORT

    static final java.lang.String LISTEN_PORT

  Socket listen port.

  See Also:
    Constant Field Values

### RELAY_CONNECT_ADDRESS

    static final java.lang.String RELAY_CONNECT_ADDRESS

See Also:
  Constant Field Values

### RELAY_CONNECT_PORT

    static final java.lang.String RELAY_CONNECT_PORT

See Also:
  Constant Field Values

### POOL_MAX

    static final java.lang.String POOL_MAX

  Service thread pool..

  See Also:
    Constant Field Values

### PAGE_MANAGER

    static final java.lang.String PAGE_MANAGER

  Http tool service.

  See Also:
    Constant Field Values

### PAGE_MANAGER_UNIVERSE_ADDRESS

    static final java.lang.String PAGE_MANAGER_UNIVERSE_ADDRESS

See Also:
  Constant Field Values

### ACTION_MANAGER

    static final java.lang.String ACTION_MANAGER

See Also:
  Constant Field Values

### SERVE_ROOT

    static final java.lang.String SERVE_ROOT

See Also:
  Constant Field Values

### CLEARANCE

    static final java.lang.String CLEARANCE

See Also:
  Constant Field Values

### PROXY_PROCESSOR

    static final java.lang.String PROXY_PROCESSOR

  Proxy service.

  See Also:
    Constant Field Values

### PROXY_SESSION_PATH

    static final java.lang.String PROXY_SESSION_PATH

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.